STRUCT KEY_PARAMS(9)

NAME
struct_key_params - key information

SYNOPSIS

struct key_params {
  const u8 * key;
  const u8 * seq;
  int key_len;
  int seq_len;
  u32 cipher;
};

MEMBERS

key
    key material

seq
    sequence counter (IV/PN) for TKIP and CCMP keys, only used with the get_key callback, must be in little endian, length given by seq_len.

key_len
    length of key material

seq_len
    length of seq.

cipher
    cipher suite selector

DESCRIPTION

Information about a key

AUTHOR

Johannes Berg <johannes@sipsolutions.net>
    Author.

COPYRIGHT